//
//  FirstViewController.h
//  IDic
//
//  Created by Didou on 08/09/09.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface FirstViewController : UIViewController <UITextFieldDelegate> {
  /* Use view IHM components. */
  UITextField *requestField ;
  UIButton *goButton ;
  UITextView *suggestionsText ;
  UISegmentedControl *modeSegControl ;
	UIImageView *dicFlagImgView ;
	UIActivityIndicatorView *searchActivityInd ;
}

/* Use view IHM outlet properties. */
@property (nonatomic, retain) IBOutlet UITextField *requestField ;
@property (nonatomic, retain) IBOutlet UIButton *goButton ;
@property (nonatomic, retain) IBOutlet UITextView *suggestionsText ;
@property (nonatomic, retain) IBOutlet UISegmentedControl *modeSegControl ;
@property (nonatomic, retain) IBOutlet UIImageView *dicFlagImgView ;
@property (nonatomic, retain)
	IBOutlet UIActivityIndicatorView *searchActivityInd ;

- (IBAction) goButtonClicked: (id) sender ;
- (void) submitRequest: (NSString*) requestString ;
- (void) setDicFlag: (NSString*) flagName ;

@end
